<!doctype html>
<html lang="en-us">
<head>
	<meta charset="utf-8">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>CCLD Lidar</title>
	<link rel="stylesheet" type="text/css" href="/css/default.css" />
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	<link rel="shortcut icon" href="daktylos.png" type="image/png" />
	<style>
	/* remove the border */
	body {
		margin: 0;
		padding: 0;
		background-color: black;
	}
	/* make the canvas the size of the viewport */
	canvas {
		width: 100vw;
		height: 100vh;
		display: block;
	}
</style>
</head>
<body>
	<div class="emscripten" id="canvas" oncontextmenu="event.preventDefault()" position="absolute"></div>
	<script type="text/javascript" src="/weiss/weiss-preinit.js"></script>
	<script type="text/javascript" src="/weiss/UnityLoader.js"></script>
	<script type="text/javascript" src="/weiss/weiss-postinit.js"></script>
	<script type="text/javascript" src="/js/ajax.js"></script>
	<script type="text/javascript">
		function logout() { 
			var promise = ajaxPost("/api/logout", {});
			promise.success = function(response) {
				window.location = "/";
			};

			promise.failure = function(response) {
				console.warn("Communication failure", response);
			}
		};
	</script>
</body>
</html>