<?php
class AdminDashboard {
	public function display($urlTree) {
		$dashboardPage = isset($urlTree[1]) ? $urlTree[1] : "home";
		switch($dashboardPage) {
			case "accounts":
			$dashboard = new AccountsAdminDashboard();
			break;
			case "users":
			$dashboard = new UsersAdminDashboard();
			break;
			case "data":
			$dashboard = new ProjectsAdminDashboard();
			break;
			case "home":
			case "":
			$dashboard = new HomeAdminDashboard();
			break;
			default:
			header('Location: /dashboard/');
		}
		return $dashboard->display();
	}
}