<!DOCTYPE html>
<html lang="en">
<head>
	<title>CCLD Lidar Recovery</title>
	<meta charset="utf-8" />
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" />
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto" />
	<link rel="stylesheet" type="text/css" href="/css/default.css" />
	<link rel="stylesheet" type="text/css" href="/css/<?=$defaultStylesheet?>" />
	<link rel="shortcut icon" href="daktylos.png" type="image/png" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta name="author" content="Justin Gilman" />
	<meta name="description" content="The login page for viewing Lidar data" />
	<meta name="robots" content="none" />
</head>
<body>
	<header id="header"><a href="//<?=$currentClient['subdomain']?>.<?=ROOT_DOMAIN?>/"><img src="/images/<?=$currentClient['logo']?>" /></a><h1><?=$currentClient['display_name']?></h1></header>
	<div id="header-spacer"></div>
	<div id="login-window">
		<div id="message" style="visibility:hidden;"></div>
		<div class="row"><label for="username">Username</label> <input id="username" type="username" name="username" placeholder="username or email" /></div>
		<div class="row"><label for="password">Password</label> <input id="password" type="password" name="password" placeholder="password" /></div>
		<div class="row right-aligned"><button id="login" type="submit" class="button">Login</button></div>
	</div>

	<script type="text/javascript" src="/js/ajax.js?v=<?=CACHEBUST?>"></script>
	<script type="text/javascript" src="/js/login.js?v=<?=CACHEBUST?>"></script>
</body>
</html>
